%global __provides_exclude font\\\(.*\\\)|font\\\(:lang=.*\\\)

Name:		denemo
Version:	2.0.14
Release:	%mkrel 1
Summary:	WYSIWYG musical score editor and frontend for Lilypond
License:	GPLv2+
Group:		Publishing
URL:		http://www.denemo.org/
Source0:	http://ftp.gnu.org/gnu/denemo/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(aubio) >= 0.3.2
BuildRequires:	pkgconfig(evince-view-3.0) >= 3.0
BuildRequires:	pkgconfig(fftw3) >= 3.1.2
BuildRequires:	pkgconfig(fluidsynth) >= 1.0.8
BuildRequires:	pkgconfig(fontconfig) >= 2.2.0
BuildRequires:	pkgconfig(gthread-2.0) >= 2.21.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(gtksourceview-3.0) >= 3.0
BuildRequires:	pkgconfig(guile-2.0) >= 2.0
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.3.10
BuildRequires:	pkgconfig(portaudio-2.0) >= 19
BuildRequires:	pkgconfig(sndfile) >= 1.0
BuildRequires:	pkgconfig(rubberband)
BuildRequires:	guile
BuildRequires:	guile-runtime
BuildRequires:	intltool
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	portmidi-devel
BuildRequires:	desktop-file-utils

Requires:	lilypond
Requires:	TiMidity++
Requires:	playmidi
Requires:	fluidsynth

%description
Denemo is the GNU graphical musical score editor, and serves as a frontend
to Lilypond. Besides lilypond, it can also export music into ABC format.
as well as handling Csound score files playback and MIDI playback.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--enable-gtk3 \
	--enable-doc \
	--enable-guile_2_0
%make_build

%install
%make_install

desktop-file-install --vendor="" \
	--dir %{buildroot}%{_datadir}/applications \
	--add-category="GTK" \
	%{buildroot}%{_datadir}/applications/*

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS docs/*
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/fonts/truetype/%{name}/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Wed Nov 30 2016 daviddavid <daviddavid> 2.0.14-1.mga6
+ Revision: 1071304
- new version: 2.0.14

* Sun Nov 13 2016 daviddavid <daviddavid> 2.0.12-1.mga6
+ Revision: 1067008
- new version: 2.0.12
- port to guile 2.0

* Thu Aug 18 2016 daviddavid <daviddavid> 2.0.10-1.mga6
+ Revision: 1046919
- new version: 2.0.10

* Wed May 11 2016 daviddavid <daviddavid> 2.0.8-1.mga6
+ Revision: 1012703
- new version: 2.0.8

* Sun Apr 17 2016 daviddavid <daviddavid> 2.0.6-1.mga6
+ Revision: 1003186
- new version: 2.0.6

* Thu Mar 10 2016 daviddavid <daviddavid> 2.0.4-1.mga6
+ Revision: 988696
- new version: 2.0.4

* Sun Feb 21 2016 daviddavid <daviddavid> 2.0.2-2.mga6
+ Revision: 975409
- rebuild against fixed rubberband on arm

* Sat Feb 13 2016 daviddavid <daviddavid> 2.0.2-1.mga6
+ Revision: 959641
- new version: 2.0.2

* Thu Nov 05 2015 daviddavid <daviddavid> 2.0.0-1.mga6
+ Revision: 897898
- new version: 2.0.0

* Tue Jul 28 2015 daviddavid <daviddavid> 1.2.4-1.mga6
+ Revision: 858365
- new version: 1.2.4

* Fri Jun 26 2015 sander85 <sander85> 1.1.8-4.mga6
+ Revision: 844240
- Rebuild for new aubio

* Wed Oct 15 2014 umeabot <umeabot> 1.1.8-3.mga5
+ Revision: 747890
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.8-2.mga5
+ Revision: 678711
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Tue Sep 09 2014 akien <akien> 1.1.8-1.mga5
+ Revision: 674381
- Version 1.1.8

* Tue Feb 04 2014 dams <dams> 1.1.0-1.mga5
+ Revision: 581508
- new version 1.1.0

* Mon Oct 21 2013 umeabot <umeabot> 1.0.8-2.mga4
+ Revision: 539742
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 dams <dams> 1.0.8-1.mga4
+ Revision: 492849
- new version 1.0.8

* Wed Aug 28 2013 dams <dams> 1.0.6-1.mga4
+ Revision: 472750
- new version 1.0.6

* Wed Aug 28 2013 fwang <fwang> 1.0.4-2.mga4
+ Revision: 472577
- build with guile 1.8, due to lilypond is using it

* Wed Aug 28 2013 fwang <fwang> 1.0.4-1.mga4
+ Revision: 472564
- update file list
- more patch
- fix str fmt
- add br
- build with guile 2.0

  + dams <dams>
    - new version 1.0.4

* Tue May 28 2013 fwang <fwang> 0.9.6-5.mga4
+ Revision: 429070
- rebuild for new gtksourceview

* Mon Mar 11 2013 lmenut <lmenut> 0.9.6-4.mga3
+ Revision: 402108
- add exception in order to not provide font(*) & font(:lang=*)
  b/c arch packages shouldn't provide fonts (mga #8820c4)

* Fri Jan 11 2013 umeabot <umeabot> 0.9.6-3.mga3
+ Revision: 348722
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 malo <malo> 0.9.6-2.mga3
+ Revision: 322761
- update RPM group

* Sat Sep 22 2012 sander85 <sander85> 0.9.6-1.mga3
+ Revision: 296582
- New version: 0.9.6

* Wed Sep 19 2012 sander85 <sander85> 0.9.4-1.mga3
+ Revision: 296204
- New version: 0.9.4

* Thu Dec 29 2011 fwang <fwang> 0.9.2-1.mga2
+ Revision: 188567
- fix build with latest glib
- new version 0.9.2

* Fri Jun 17 2011 kharec <kharec> 0.9.0-1.mga2
+ Revision: 109274
- new version 0.9.0
- Add a BR on librsvg2-devel

* Sat Jan 08 2011 kharec <kharec> 0.8.20-1.mga2
+ Revision: 1178
- imported package denemo
- Created package structure for denemo.

